{...}: {
  programs.gpg.enable = true;

  services.gpg-agent = {
    enable = true;

    enableSshSupport = true;
    sshKeys = ["A0B5D579ECACC45C51B2B38E317D346182083CD8"];

    # The amount of time a key is kept in the cache before it is removed.
    # The timer is reset after each use within that window.
    defaultCacheTtl = 86400; # 1 Day
    defaultCacheTtlSsh = 86400; # 1 Day

    # The maximum amount after which the passphrase has to be retyped,
    # even if the key is still cached.
    maxCacheTtl = 86400; # 1 Day
    maxCacheTtlSsh = 86400; # 1 Day
  };

  # Disable gnome-keyring-ssh for gpg-agent to work
  # https://github.com/NixOS/nixpkgs/issues/101616
  xdg.configFile."autostart/gnome-keyring-ssh.desktop".text = ''
    [Desktop Entry]
    Type=Application
    Hidden=true
  '';
}
